<!DOCTYPE html>
<!--

//	DYNAMIC PRODUCT IMAGES - Ian Wright [hello@iamianwright.com]
//
//	You are free to use these scripts and modify them as you wish. 
//
//	HOWEVER The images distributed with this script MAY NOT be 
//	modified or published without the authors express permission.
//

-->
<html>
<head>
	<title>Product Options Experiment</title>
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.1/jquery.js"></script>
	<style type="text/css">
		body {
			font-family: "helvetica";
			}
		#wrapper {
			width: 650px;
			margin: 60px auto;
			}
		img.product {
			height: 390px;
			width: 339px;
			margin-left: 80px;
		}
		form {
			float: left;
			}
		p.intro {
			margin-bottom: 60px;
			}
		p.small {
			font-size: 10pt;
			}
		h1 {
			font-size: 18pt;
			margin-bottom: 0;
			}
		h2	{
			font-weight: normal;
			font-style: italic;
			font-size: 12pt;
			margin-top: 0;
			}
		a, a:link a:visited {text-decoration: none; color: #f00;}
		a:hover {text-decoration: underline; color: #a00;}
	</style>
</head>
<body>
	<div id="wrapper">
	<h1>Product Images Dynamically Generated with PHP</h1>
	<h2>by <a href="http://www.iamianwright.com">Ian Wright</a> (<a href="https://twitter.com/_ianw">@_ianw</a>)</a></h2>
	<p class="intro">This is a work in progress. It uses jQuery to pass the values of the form to a PHP script which then uses GD to generate and return the appropriate image.
	You can download a zip file of the PHP and images that make this work by <a href="product-images.zip">clicking here</a>. 
	You can read the original <a href="http://stackoverflow.com/questions/18244170/how-can-i-generate-two-colour-product-images-dynamically">post that started it here</a>.</p>
	<form method="" action="">
		<p>Customise your kit:</p>
		<label for="style">Style:</label>
		<select id="style" name="style" required>
			<option value="0001">Vertical Stripe</option>
			<option value="0002">V Neck</option>
			<option value="0003">Contrast Side</option>
			<option value="0004">Ringer</option>
			<option value="0005">Quarters</option>
		</select>
		<br><br>
		<label for="color1">Color 1:</label>
		<select id="color1" name="color1" required>
			<option value="134,084,066">Retro Brown</option>
			<option value="115,051,068">Claret</option>
			<option value="167,057,052">Deep Red</option>
			<option value="213,069,054">Bright Red</option>
			<option value="222,116,073">Orange</option>
			<option value="247,228,064">Yellow</option>
			<option value="197,172,053">Gold</option>
			<option value="087,148,056">Green</option>
			<option value="122,170,053">Lime</option>
			<option value="072,158,150">Turquoise</option>
			<option value="057,134,193">Light Blue</option>
			<option value="031,076,146">Royal Blue</option>
			<option value="049,058,094">Navy</option>
			<option value="093,061,132">Purple</option>
			<option value="177,093,151">Pink</option>
			<option value="205,204,204">Grey</option>
			<option value="000,000,000">Black</option>
			<option value="255,255,255">White</option>
		</select>
		<br><br>
		<label for="color2">Color 2:</label>
		<select id="color2" name="color2" required>
			<option value="134,084,066">Retro Brown</option>
			<option value="115,051,068">Claret</option>
			<option value="167,057,052">Deep Red</option>
			<option value="213,069,054">Bright Red</option>
			<option value="222,116,073">Orange</option>
			<option value="247,228,064">Yellow</option>
			<option value="197,172,053">Gold</option>
			<option value="087,148,056">Green</option>
			<option value="122,170,053">Lime</option>
			<option value="072,158,150">Turquoise</option>
			<option value="057,134,193">Light Blue</option>
			<option value="031,076,146">Royal Blue</option>
			<option value="049,058,094">Navy</option>
			<option value="093,061,132">Purple</option>
			<option value="177,093,151">Pink</option>
			<option value="205,204,204">Grey</option>
			<option value="000,000,000">Black</option>
			<option value="255,255,255">White</option>
		</select>
	</form>
	<img class="product" src="img/products/product-image.php">
	<br clear="both"><br>
	<p class="small">*I know the colours are a little fugly but this is a work in progress.</p>
	</div>
	<script type="text/javascript">
		$('select').click(function() {
			var style = $("select#style").val();
			var color1 = $("select#color1").val();
			var color2 = $("select#color2").val();
		    var productImgURL = 'img/products/product-image.php?style='+ style + '&color1=' + color1 + '&color2=' + color2;
		    $('.product').attr('src',productImgURL);
		});
	</script>
</body>
</html>